Package org.eclipse.graphiti.internal.command

# Class DirectEditingFeatureCommandWithContext

java.lang.Object
org.eclipse.graphiti.internal.command.FeatureCommand
org.eclipse.graphiti.internal.command.FeatureCommandWithContext
org.eclipse.graphiti.internal.command.GenericFeatureCommandWithContext
org.eclipse.graphiti.internal.command.DirectEditingFeatureCommandWithContext

All Implemented Interfaces:
  `IContextHolder`, `IFeatureAndContext`, `IFeatureHolder`, `IFeatureProviderHolder`, `IDescription`, `ICommand`, `IReadOnlyProvider`

public class DirectEditingFeatureCommandWithContext extends GenericFeatureCommandWithContext
The Class DirectEditingFeatureCommandWithContext.

## Constructor Summary

Constructors
Constructor
Description
`DirectEditingFeatureCommandWithContext(IDirectEditingFeature feature, IDirectEditingContext context, String valueObject, IProposal proposal)`
Instantiates a new direct editing feature command with context.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`execute()`
Execute.

### Methods inherited from class org.eclipse.graphiti.internal.command.GenericFeatureCommandWithContext

`canExecute, canUndo, undo`

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommandWithContext

`getContext`

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommand

`getDescription, getFeature, getFeatureProvider, isReadOnly`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureHolder

`getFeature`

## Constructor Details

### DirectEditingFeatureCommandWithContext

public DirectEditingFeatureCommandWithContext(IDirectEditingFeature feature, IDirectEditingContext context, String valueObject, IProposal proposal)
Instantiates a new direct editing feature command with context.

Parameters:
  `feature` - the feature
  `context` - the context
  `valueObject` - the value object

## Method Details

### execute

public boolean execute()
Description copied from interface: `ICommand`
Execute.

Specified by:
  `execute` in interface `ICommand`
Overrides:
  `execute` in class `GenericFeatureCommandWithContext`
Returns:
  true, if successful